API referenceEndpointsActivity
Get Activity
Return one content-free operational activity event by identifier.
Return one content-free operational activity event by identifier.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
eventId*string
Operational activity event UUID.
Format
uuidQuery Parameters
accountId*string
Account UUID that defines the tenant and authorization scope.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/activity/00000000-0000-4000-8000-000000000007?accountId=00000000-0000-4000-8000-000000000001"{ "data": { "event": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "family": "run", "action": "string", "actor": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "kind": "human" }, "resource": { "type": "string", "id": "string", "name": "string" }, "outcome": "succeeded", "summary": "string", "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2", "runId": "78c33d18-170c-44d3-a227-b3194f134f73", "correlationId": "string", "occurredAt": "2019-08-24T14:15:22Z", "metadata": { "property1": "string", "property2": "string" } }, "attempts": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "attemptNumber": -9007199254740991, "state": "string", "heartbeatAt": "2019-08-24T14:15:22Z", "cpuSeconds": 0, "peakMemoryBytes": 0, "records": 0, "bytes": 0, "errorCode": "string", "errorMessage": "string", "startedAt": "2019-08-24T14:15:22Z", "finishedAt": "2019-08-24T14:15:22Z" } ], "deliveries": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sequence": 0, "state": "string", "compressedBytes": 0, "recordCount": 0, "schemaRevision": -9007199254740991, "snapshotId": 0, "createdAt": "2019-08-24T14:15:22Z", "committedAt": "2019-08-24T14:15:22Z" } ], "receipt": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9", "principalId": "0a52818d-1e0c-4e64-848e-4d04f9e914e5", "canonicalSqlHash": "string", "sourceIds": [ "1142aa4e-ac22-46dd-ac6a-fc70d264bc91" ], "datasetIds": [ "ef1d0ac6-a99b-4710-9052-39f6f9fb8ca7" ], "grantVersionStart": -9007199254740991, "grantVersionEnd": -9007199254740991, "state": "queued", "rows": 0, "truncated": true, "estimatedBytes": 0, "durationMs": 0, "errorCode": "string", "createdAt": "2019-08-24T14:15:22Z", "finishedAt": "2019-08-24T14:15:22Z" } }, "correlationId": "string"}